<?php

class BlockHelper {
  /**
   * Return block render array.
   * @param string $module Block module name
   * @param string $delta Block delta
   * @return array|NULL
   */
  public static function getBlockRenderArray($module, $delta) {
    $block = block_load($module, $delta);
    $blocks = _block_render_blocks(array($block));
    $blocks_build = _block_get_renderable_array($blocks);
    $key = $module . '_' . $delta;
    return isset($blocks_build[$key]) ? $blocks_build[$key] : NULL;
  }

  /**
   * Return block content.
   * @param string $module Block module name
   * @param string $delta Block delta
   * @return string|array Final block content html or render array
   */
  public static function getBlockContent($module, $delta) {
    $block_build = self::getBlockRenderArray($module, $delta);
    if ($block_build) {
      if (!empty($block_build['#theme_wrappers']) && ($wrapper_key = array_search('block', $block_build['#theme_wrappers'])) !== FALSE) {
        unset($block_build['#theme_wrappers'][$wrapper_key]);
      }

      return render($block_build);
    }
  }
}
