<?php

class HttpHelper {
  /**
   * Return filesize by url.
   * @param string $url File url
   * @return integer Filesize in bytes
   */
  public static function getRemoteFilesize($url) {
    $result = drupal_http_request($url, array('method' => 'HEAD'));
    if (empty($result->error) && isset($result->headers['content-length'])) {
      return (int)$result->headers['content-length'];
    }
  }

  /**
   * Send POST request and return result.
   * @param string $url Url
   * @param array $params Array of params
   * @return stdClass
   */
  public static function sendPost($url, $params) {
    return drupal_http_request($url, array(
      'headers' => array('Content-Type' => 'application/x-www-form-urlencoded'),
      'method' => 'POST',
      'data' => drupal_http_build_query($params),
    ));
  }

  /**
   * Return TRUE if current request is AJAX.
   */
  public static function isAjax() {
    return isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest';
  }
}
